/*  ==========================================================================
    // Wizard
    //
    // to guide users trough some steps
    //
    // Markup: wizard.html
    //
    // Style guide: Modules.Wizard
    //
    ========================================================================== */

    .l-wizard
    {
        display: table;
        table-layout: fixed;
    }

    .wizard
    {
        display: table-row;

        margin: 0;
        padding: 0;
    }

    .wizard__step
    {
        display: table-cell;

        margin: 0;
        margin-right: 0!important;

        text-indent: 0;
        font-size: $wizard-step-font-size;
        border-radius: 0;
        text-align: center;
        background-color: transparent;
        background: url(/assets/shared/img/guide/background_guide_progress_smaller.png) 50% 8px no-repeat;

        .wizard__icon
        {
            display: none;
        }

        &:first-child
        {
            text-align: left;
            background: url(/assets/shared/img/guide/background_guide_progress_full.png) 12px 8px no-repeat;
        }

        &:last-child
        {
            text-align: right;
            background: url(/assets/shared/img/guide/background_guide_progress_smaller_last.png) 100% 8px no-repeat;

            .wizard__icon
            {
                @include inline-block;
            }
        }

        &.active,
        &:hover
        {
            .wizard__bullet
            {
                background-color: $wizard-hover-bullet-background-color;
                border-color: $wizard-hover-bullet-border-color;
            }
        }

        &.active
        {
            .wizard__bullet
            {
                background-color: $wizard-active-bullet-background-color;
                border-color: $wizard-active-bullet-border-color;
                color: $wizard-active-bullet-color;
            }
        }

        &.finished
        {
            .wizard__bullet
            {
                background-color: $wizard-finished-bullet-background-color;
                border-color: $wizard-finished-bullet-border-color;
            }

            .wizard__icon
            {
                @include inline-block;
            }

            .wizard__step-count
            {
                display: none;
            }
        }

        &.error
        {
            .wizard__bullet
            {
                background-color: $orange;
                border-color: $red;
            }
        }

        @include breakpoint(huge)
        {
            background: url(/assets/shared/img/guide/background_guide_progress.png) 50% 8px no-repeat;

            .wizard__bullet
            {
                width: $wizard-bullet-width-huge;
                height: $wizard-bullet-width-huge;
                margin-bottom: 5px;

                border-radius: $wizard-bullet-border-radius-huge;
            }

            &:first-child
            {
                background: url(/assets/shared/img/guide/background_guide_progress_full.png) 16px 8px no-repeat;
            }

            &:last-child
            {
                background: url(/assets/shared/img/guide/background_guide_progress_last.png) 100% 8px no-repeat;
            }
        }
    }

    .wizard__bullet
    {
        @include inline-block;

        width: $wizard-bullet-width;
        height: $wizard-bullet-width;
        margin-bottom: 10px;
        margin-top: $wizard-bullet-margin-top;

        border-radius: $wizard-bullet-border-radius;
        border: $wizard-bullet-border;
        background-color: $wizard-bullet-background-color;
        color: $wizard-bullet-color;
        font-size: $wizard-bullet-font-size;
        text-align: $wizard-bullet-text-align;
        line-height: $wizard-bullet-line-height;
    }

    .wizard__step-text
    {
        font-weight: $wizard-step-font-weight;
    }